package de.hs_mannheim.informatik.bank.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;

import de.hs_mannheim.informatik.bank.facade.Banksystem;

public class KontoListingFrame extends JFrame implements ActionListener {
	private JTextField eingabe;
	private JTextArea ausgabe;
	private JButton ok;

	private Banksystem bs;

	public KontoListingFrame(Banksystem bs) {
		this.bs = bs;

		this.setTitle(bs.getBankname());
		this.setSize(300, 300);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		eingabe = new JTextField(20);

		ausgabe = new JTextArea(5, 20);
		ausgabe.setLineWrap(true);
		ausgabe.setWrapStyleWord(true);

		// Die Ausgabe automatisch scrollbar machen, wenn Sie nicht
		// mehr auf den Bildschirm passen sollte.
		JScrollPane sp = new JScrollPane(ausgabe);

		ok = new JButton("Kontenliste abrufen");
		ok.addActionListener(this);

		//		Container cp = this.getContentPane();
		//		this.add(eingabe, "North");
		this.add(sp, "Center");
		this.add(ok, "South");
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		System.out.println("Kontenliste abrufen...");

		ausgabe.setText("");
		String[] konten = bs.getKontenliste();
		
		for (String konto : konten) {
			ausgabe.append(konto + "\n");
		}


	}

}
